Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.xml.schema
Class UndefinedXSDTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.framework.xml.XMLParsingException
                  org.deegree.framework.xml.schema.XMLSchemaException
                      org.deegree.framework.xml.schema.UnresolvableReferenceException
                          org.deegree.framework.xml.schema.UndefinedXSDTypeException

All Implemented Interfaces:
  Serializable

    public class UndefinedXSDTypeException

extends UnresolvableReferenceException

Thrown when a reference to an XML type is encountered that is unknown in the context (i.e. in the XML Schema document).

Since:
  2.0
Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`UndefinedXSDTypeException(String msg)` Constructs an instance of `UndefinedTypeException` with the specified detail message.
`UndefinedXSDTypeException(String msg, Throwable cause)` Constructs an instance of `UndefinedTypeException` with the specified detail message and cause.
`UndefinedXSDTypeException(Throwable cause)` Constructs an instance of `UndefinedTypeException` with the specified cause.

Method Summary

Methods inherited from class org.deegree.framework.xml.XMLParsingException
`getWrapped, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedXSDTypeException

    public UndefinedXSDTypeException(String msg)

  Constructs an instance of `UndefinedTypeException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### UndefinedXSDTypeException

    public UndefinedXSDTypeException(Throwable cause)

  Constructs an instance of `UndefinedTypeException` with the specified cause.

  Parameters:
    `cause` - the Throwable that caused this SchemaException

### UndefinedXSDTypeException

    public UndefinedXSDTypeException(String msg,
                                     Throwable cause)

  Constructs an instance of `UndefinedTypeException` with the specified detail message and cause.

  Parameters:
    `msg` - the detail message
    `cause` - the Throwable that caused this UndefinedTypeException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org